package com.bonus.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("acc_trade_use_amount_hist")
public class AccTradeUseAmountHist implements Serializable {
   @TableId(
      type = IdType.AUTO
   )
   private Long id;
   private Long originTradeId;
   private Long useTradeId;
   private BigDecimal useAmount;
   private BigDecimal refundAmount;
   private Integer tradeType;
   private LocalDateTime crtime;
   private LocalDateTime uptime;
   @TableField(
      exist = false
   )
   private static final long serialVersionUID = 1L;

   public Long getId() {
      return this.id;
   }

   public Long getOriginTradeId() {
      return this.originTradeId;
   }

   public Long getUseTradeId() {
      return this.useTradeId;
   }

   public BigDecimal getUseAmount() {
      return this.useAmount;
   }

   public BigDecimal getRefundAmount() {
      return this.refundAmount;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setOriginTradeId(final Long originTradeId) {
      this.originTradeId = originTradeId;
   }

   public void setUseTradeId(final Long useTradeId) {
      this.useTradeId = useTradeId;
   }

   public void setUseAmount(final BigDecimal useAmount) {
      this.useAmount = useAmount;
   }

   public void setRefundAmount(final BigDecimal refundAmount) {
      this.refundAmount = refundAmount;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
